Skip to main content
`Ctrl`+`K`

# AOSetIS

Sets the `IS` associated with the application ordering.

## Synopsis

    #include "petscao.h"
    PetscErrorCode AOSetIS(AO ao, IS isapp, IS ispetsc)

Collective

## Input Parameters

- ao - the application ordering

- isapp - index set that defines an ordering

- ispetsc - index set that defines another ordering (may be `NULL` to use the natural ordering)

## Note

This routine increases the reference count of `isapp` and `ispetsc` so you may/should destroy these arguments after this call if you no longer need them

## See Also

Application Orderings, Low-level Vector Communication, `AO`, `AOCreate()`, `AODestroy()`, `AOPetscToApplication()`, `AOApplicationToPetsc()`

## Level

beginner

## Location

src/vec/is/ao/interface/ao.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages